
From: Pavel Machek <pavel@suse.cz>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/kernel/suspend_asm.S |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diff -puN arch/x86_64/kernel/suspend_asm.S~swsusp-comment-fix arch/x86_64/kernel/suspend_asm.S
--- 25/arch/x86_64/kernel/suspend_asm.S~swsusp-comment-fix	2005-01-23 12:37:32.337061424 -0800
+++ 25-akpm/arch/x86_64/kernel/suspend_asm.S	2005-01-23 12:37:32.340060968 -0800
@@ -1,6 +1,9 @@
-/* Originally gcc generated, modified by hand
+/* Copyright 2004,2005 Pavel Machek <pavel@suse.cz>, Andi Kleen <ak@suse.de>, Rafael J. Wysocki <rjw@sisk.pl>
  *
- * This may not use any stack, nor any variable that is not "NoSave":
+ * Distribute under GPLv2.
+ *
+ * swsusp_arch_resume may not use any stack, nor any variable that is
+ * not "NoSave" during copying pages:
  *
  * Its rewriting one kernel image with another. What is stack in "old"
  * image could very well be data page in "new" image, and overwriting
_
